__package__ = ''  # workaround for PEP 366

import univention.management.console.modules.oxldb.oxldbcore as modoxldb
import univention.config_registry
import univention.lib

_ = univention.lib.Translation('univention-management-console-module-oxldb-hook').translate

configRegistry = univention.config_registry.ConfigRegistry()
configRegistry.load()


def get_ox_status():
	msg = None

	oxldb = modoxldb.OXLDB(connect=True)

	if oxldb.is_account_complete():
		if not oxldb.is_account_valid():
			msg = _('The Open-Xchange LDB account seems to be invalid. Please check given credentials. The account is required for installing updates.')
		elif not oxldb.get_keys(products=oxldb.detected_products):
			msg = _('There is no %s license key associated with specified Open-Xchange LDB account.') % oxldb.get_productname_short()
		elif oxldb.ldb_eula_get_url() and not oxldb.ldb_eula_has_been_accepted():
			msg = _('Enduser license agreement (EULA) of %s has not been accepted yet.') % oxldb.get_productname_short()

	return msg


def updater_show_message(*args, **kwargs):
	msg = get_ox_status()

	result = {'valid': False}
	if msg:
		result['valid'] = True
		result['title'] = _('Open-Xchange license information'),
		result['message'] = """<p>%s</p><p><a href='javascript:dojo.publish("/umc/modules/open", ["oxldb"]);'>""" % msg + _('Switch to license management module') + '</a></p>'

	return result


def register_hooks():
	return [
		('updater_show_message', updater_show_message),
	]
